import type { Core } from '@strapi/strapi';
import { NavigationItemDTO } from '../../dtos';
import { NavigationItemCustomField, NavigationItemDBSchema, NavigationPluginConfigDBSchema } from '../../schemas';
import { NavigationAction, NavigationActionsCategories } from '../../types';
import { AnalyzeBranchInput, BuildNestedStructureInput, CreateBranchInput, EmitEventInput, GetBranchNameInput, GetSlugInput, MapToNavigationItemDTOInput, RegisterLifeCycleHookInput, RemoveBranchInput, RunLifeCycleHookInput, UpdateBranchInput } from './types';
export type CommonService = ReturnType<typeof commonService>;
declare const commonService: (context: {
    strapi: Core.Strapi;
}) => {
    getPluginStore(): Promise<ReturnType<typeof strapi.store>>;
    mapToNavigationItemDTO({ locale, master, navigationItems, parent, populate, }: MapToNavigationItemDTOInput): Promise<NavigationItemDTO[]>;
    setDefaultConfig(): Promise<NavigationPluginConfigDBSchema>;
    getBranchName({ item }: GetBranchNameInput): NavigationActionsCategories | void;
    analyzeBranch({ masterEntity, navigationItems, parentItem, prevAction, }: AnalyzeBranchInput): Promise<NavigationAction[]>;
    removeBranch({ navigationItems, action, }: RemoveBranchInput): Promise<NavigationAction[]>;
    createBranch({ action, masterEntity, navigationItems, parentItem, }: CreateBranchInput): Promise<NavigationAction[]>;
    updateBranch({ masterEntity, navigationItems, action, parentItem, }: UpdateBranchInput): Promise<NavigationAction[]>;
    emitEvent({ entity, event, uid }: EmitEventInput<any, any>): Promise<void>;
    pruneCustomFields({ removedFields }: {
        removedFields: NavigationItemCustomField[];
    }): Promise<void>;
    getSlug({ query }: GetSlugInput): Promise<string>;
    registerLifeCycleHook({ callback, contentTypeName, hookName }: RegisterLifeCycleHookInput): void;
    runLifeCycleHook({ contentTypeName, event, hookName }: RunLifeCycleHookInput): Promise<void>;
    buildNestedStructure({ navigationItems, id, }: BuildNestedStructureInput): NavigationItemDBSchema[];
    readLocale(): Promise<{
        defaultLocale: string;
        restLocale: string[];
    }>;
};
export default commonService;
